require 'test_helper'

class JamSessionMembersControllerTest < ActionController::TestCase
  setup do
    @jam_session_member = jam_session_members(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:jam_session_members)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create jam_session_member" do
    assert_difference('JamSessionMember.count') do
      post :create, jam_session_member: {  }
    end

    assert_redirected_to jam_session_member_path(assigns(:jam_session_member))
  end

  test "should show jam_session_member" do
    get :show, id: @jam_session_member
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @jam_session_member
    assert_response :success
  end

  test "should update jam_session_member" do
    put :update, id: @jam_session_member, jam_session_member: {  }
    assert_redirected_to jam_session_member_path(assigns(:jam_session_member))
  end

  test "should destroy jam_session_member" do
    assert_difference('JamSessionMember.count', -1) do
      delete :destroy, id: @jam_session_member
    end

    assert_redirected_to jam_session_members_path
  end
end
